package com.hundsun.hybrid.plugins;

import org.json.JSONArray;

import com.hundsun.hybrid.HybridActivity;
import com.hundsun.hybrid.api.Hybrid;
import com.hundsun.hybrid.api.Plugin;
import com.hundsun.hybrid.api.PluginResult;

public class FramePlugin extends Plugin {

	private HybridActivity activity;

	@Override
	public PluginResult execute(String action, JSONArray args, String callbackId) {
		return this.activity.exec(action, args, callbackId, this);
	}

	@Override
	public void setContext(Hybrid ctx) {
		super.setContext(ctx);
		if (!(ctx.getActivity() instanceof HybridActivity)) {
			throw new IllegalArgumentException("Activity is not an instance of HybridActivity");
		}
		this.activity = (HybridActivity) ctx.getActivity();
	}

}
